package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.SyncLogAddCmd;
import com.zcloud.personnel.positioning.dto.SyncLogPageQry;
import com.zcloud.personnel.positioning.dto.SyncLogUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.SyncLogCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface SyncLogServiceI {
    PageResponse<SyncLogCO> listPage(SyncLogPageQry qry);

    List<SyncLogCO> listAll();

    SyncLogCO queryById(Long id);

    SingleResponse<SyncLogCO> add(SyncLogAddCmd cmd);

    void edit(SyncLogUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
